Bug 1537245 - Anaconda modularization
Summary: Anaconda modularization
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28,SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:03 UTC by Jan Kurik
Modified: 2018-05-02 12:04 UTC (History)
2 users (show)

Fixed In Version: anaconda-28.22.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:04:11 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:03:49 UTC
This is a tracking bug for Change: Anaconda modularization
For more details, see: https://fedoraproject.org/wiki/Changes/AnacondaModularization

Anaconda installer will be split into several modules that will communicate over DBus using stable API.

Comment 1 Jan Kurik 2018-02-20 14:09:50 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:38:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Jiri Konecny 2018-02-23 12:52:53 UTC
Hello,

We've merged the most important part of our change today[0] and also a few other parts will be merged today or on Monday. To avoid possibly breaking compose when nobody is around (weekend) we are planning to make a new release during Monday.

The most important point (which is parts of the Anaconda are running on DBus) will be in the next release. That means the next Anaconda should be testable in the same manner as before (no overhead for QE) and we will concentrate on fixing any related bugs that may show up.


[0]: https://github.com/rhinstaller/anaconda/pull/1346

Comment 4 Jiri Konecny 2018-02-27 16:36:46 UTC
We wanted to make a new release today but we have found out a few issues which may cause harder testability and some other issues. We are working hard on fixing these and we will try to make new release ASAP.

Comment 5 Jiri Konecny 2018-02-28 14:24:00 UTC
We just did the Anaconda build.

Comment 6 Jan Kurik 2018-03-06 08:57:32 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 7 Jiri Konecny 2018-03-09 12:10:49 UTC
Changes targeted to F28 are completed now.


Note You need to log in before you can comment on or make changes to this bug.